Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011360
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. PlatformminorN/A2009-11-13 20:012010-01-23 00:00
ReporterjpabloaeView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision89419c2a9a0c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision80ef47d370f7 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011360: AD_TextInterfaces clean up in the translation

DescriptionThis issue is reported after 0011236. It has been decided that the translation process will manage to clean up the ISUSED entries somehow. So this is a issue to track this.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00112362.50MP9 closedjpabloae AD_TextInterfaces clean up within release process 

-  Notes
(0021823)
jpabloae (reporter)
2009-11-13 20:02

Reminder sent to: iciordia

Adding Isma, so that he monitors the issue.
(0023572)
alostale (developer)
2010-01-19 17:40

The cleanup will be done whenever a compile.complete is executed.
(0023574)
hgbot (developer)
2010-01-19 17:47

Repository: erp/devel/pi
Changeset: 89419c2a9a0c76c7293dedabcf7bcb6c4e0261c2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jan 19 17:46:50 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/89419c2a9a0c76c7293dedabcf7bcb6c4e0261c2 [^]

fixed issue 11360: AD_TextInterfaces clean up in the translation

  -AD_TextInterfaces is cleaned up in the compile.complete process
  -This fix includes the clean up of ad_textinterfaces unused elements

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-trl/src/org/openbravo/translate/Translate.java
M src-trl/src/org/openbravo/translate/Translate_data.xsql
M src/build.xml
---
(0023678)
hudsonbot (developer)
2010-01-20 23:26

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/89419c2a9a0c [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/fa6621f85351 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15942.obx [^]
(0023771)
shuehner (administrator)
2010-01-22 21:14

Tested on pi,postgres: working fine, now instead of marking the entries only as isused='n' they will be removed from the table at the end of compile.complete

one note: method comment of the new xsql-method is useless as copy'n'pasted and not updated.

- Issue History
Date Modified Username Field Change
2009-11-13 20:01 jpabloae New Issue
2009-11-13 20:01 jpabloae Assigned To => alostale
2009-11-13 20:02 jpabloae Relationship added related to 0011236
2009-11-13 20:02 jpabloae Issue Monitored: iciordia
2009-11-13 20:02 jpabloae Note Added: 0021823
2010-01-05 12:34 iciordia Status new => scheduled
2010-01-05 12:34 iciordia fix_in_branch => pi
2010-01-19 17:40 alostale Note Added: 0023572
2010-01-19 17:47 hgbot Checkin
2010-01-19 17:47 hgbot Note Added: 0023574
2010-01-19 17:47 hgbot Status scheduled => resolved
2010-01-19 17:47 hgbot Resolution open => fixed
2010-01-19 17:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/89419c2a9a0c76c7293dedabcf7bcb6c4e0261c2 [^]
2010-01-20 23:26 hudsonbot Checkin
2010-01-20 23:26 hudsonbot Note Added: 0023678
2010-01-22 21:14 shuehner Note Added: 0023771
2010-01-22 21:14 shuehner Status resolved => closed
2010-01-23 00:00 anonymous sf_bug_id 0 => 2937517


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker